Package org.eclipse.jface.text

# Class TabsToSpacesConverter

java.lang.Object
org.eclipse.jface.text.TabsToSpacesConverter

All Implemented Interfaces:
  `IAutoEditStrategy`

public class TabsToSpacesConverter extends Object implements IAutoEditStrategy
Auto edit strategy that converts tabs into spaces.

Clients usually instantiate and configure this class but can also extend it in their own subclass.

Since:
  3.3

## Constructor Summary

Constructors
Constructor
Description
`TabsToSpacesConverter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`customizeDocumentCommand(IDocument document, DocumentCommand command)`
Allows the strategy to manipulate the document command.
`void`
`setDeleteSpacesAsTab(boolean enabled)`
`void`
`setLineTracker(ILineTracker lineTracker)`
`void`
`setNumberOfSpacesPerTab(int ratio)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TabsToSpacesConverter

public TabsToSpacesConverter()

## Method Details

### setNumberOfSpacesPerTab

public void setNumberOfSpacesPerTab(int ratio)

### setDeleteSpacesAsTab

public void setDeleteSpacesAsTab(boolean enabled)

Parameters:
  `enabled` - if true, spaces deletion will be modified to match tabs behavior
Since:
  3.16

### setLineTracker

public void setLineTracker(ILineTracker lineTracker)

### customizeDocumentCommand

public void customizeDocumentCommand(IDocument document, DocumentCommand command)
Description copied from interface: `IAutoEditStrategy`
Allows the strategy to manipulate the document command.

Specified by:
  `customizeDocumentCommand` in interface `IAutoEditStrategy`
Parameters:
  `document` - the document that will be changed
  `command` - the document command describing the change